#include <avr/io.h>
#include <avr/interrupt.h>

ISR (INT0_vect) {
    /* The ISR of external interrupt INT0. */
}

void init() {
    /* Make pin PD2 an input pin. */
    DDRD &= ~(1 << PD2);
    /* Enable external interrupt INT0. */
    GICR |= (1 << INT0);
    /* Set sense control for INT0 to any-edge. */
    MCUCR = (MCUCR & 0xfc) | 0x01;

    /* Set interrupts, i.e., set global interrupt enable bit. cli() is its
     * counterpart 'clear interrupts'. */
    sei();
}

int main(int argc, char const* argv[]) {
    init();
    return 0;
}
