#include <avr/interrupt.h>

ISR (TIMER2_OVF_vect) {
    /* TCNT2 raised an overflow interrupt every 1024us when F_CPU is 8 MHz. */
}

void initialize() {
    /* Timer/counter control register for timer/counter 2. (p125)
     * Set clock select to internal clock with prescaler 32 (p127). */
    TCCR2 = 0x03;
    /* Set TOIE2 bit (timer overflow interupt enable for timer/counter 2) (p82) */
    TIMSK |= (1 << TOIE2);
    /* Set global interrupt enable bit. */
    sei();
}
