#include <avr/io.h>

void init() {
    /* Set PB3 (OC0 pin) to output */
    DDRB |= (1 << PB3);
    /* Duty cycle of 192/256 = 75% */
    OCR0 = 192;

    /* Timer/counter control register for timer/counter 0. (p80)
     *
     * Set (waveform generation) mode to 'Phase correct PWM'.
     * Set compare match output mode of OC0 to 'clear on compare match when
     * up-counting'.
     * Set clock select to internal clock without prescaler. */
    TCCR0 = (1 << WGM00) | (1 << COM01) | (1 << CS00);
}
