#include <avr/io.h>

uint16_t read() {
  /* Start a conversion */
  ADCSRA |= 1 << ADSC;
  while (ADCSRA & (1 << ADSC));

  /* ADCW contains ADCH and ADCL. */
  return ADCW;
}

void init() {
  /* Turn PA0 to an input pin. */
  DDRA &= ~(1 << PA0);
  /* Select Vcc as voltage reference, no left-adjust result, and select ADC0 in
   * the multiplexer. */
  ADMUX = ...;
  /* Enable ADC, no auto-trigger, no interrupt, a clock prescaler of 128. */
  ADCSRA = ...;
}
