#include <avr/io.h>
#include <inttypes.h>

#define DD_SS    DDB4
#define DD_MOSI  DDB5
#define DD_MISO  DDB6
#define DD_SCK   DDB7

uint8_t readwrite(uint8_t in) {
  /* Transmit data */
  SPDR = in;
  /* Busy wait until interrupt flag is raised. */
  while (!(SPSR & (1 << SPIF)));
  /* Return the received data. Clears SPIF, see p.138. */
  return SPDR;
}

void init() {
  /* Set MOSI, SCK and SS port as output, and all others as input. */
  DDRB = (1 << DD_MOSI) | (1 << DD_SCK) | (1 << DD_SS);
  /* Set DD_SS active (low). */
  PORTB &= ~(1 << DD_SS);
  /* Enable SPI, master mode; MSB first order, CPOL=0, CPHA=0, rate is 2 MHz. */
  SPCR = (1 << SPE) | (1 << MSTR);
}
