#include <fcntl.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/mman.h>

/* RPi 2 and later. Otherwise 0x20000000. */
#define IOBASE 0x3f000000
#define GPIOBASE (IOBASE + 0x00200000)

void gpio_access() {
    int gpiofd = open("/dev/mem", O_RDWR);
    if (gpiofd < 0) {
        perror("Cannot open /dev/mem");
        exit(EXIT_FAILURE);
    }

    void* gpiomap = mmap(NULL, 4096, PROT_READ | PROT_WRITE, MAP_SHARED,
                         gpiofd, GPIOBASE);
    if (gpiomap == MAP_FAILED) {
        perror("Cannot mmap gpio opened from /dev/mem");
        exit(EXIT_FAILURE);
    }

    /* Now we can operate on gpiomap memory... */
}
